﻿--[[----------------------------------------------------------------------
		VanasKoS - Locale frFR by Scrapy
------------------------------------------------------------------------]]

local L = AceLibrary("AceLocale-2.2"):new("VanasKoS");

L:RegisterTranslations("frFR", function() return {
	["Vanas KoS"] = "Vanas KoS",
	["Add KoS Player"] = "Ajouter joueur KoS",
	["Add Entry"] = "Ajouter entr\195\169e",
	["Remove Entry"] = "Supprimer entr\195\169e",
	["Change Entry"] = "Modifier entr\195\169e",
	["Reason"] = "Raison",
	["Players:"] = "Joueurs",
	["Guilds:"] = "Guildes",
	["Lists"] = "Listes",

	["Entry %s (Reason: %s) added."] = "Entr\195\169e %s (Raison: %s) ajout\195\169.",
	["Entry \"%s\" removed from list"] = "Entr\195\169e \"%s\" supprim\195\169 de la liste",
	["KoS List for Realm \"%s\" now purged."] = "La liste KoS du Royaume \"%s\" est maintenant purg\195\169.",

	["Lists"] = "Listes",

	-- about
	["About"] = "\195\128 propos...",

	--config frame
	["Configuration"] = "Configuration",
	
	

	["KoS List for Realm: %s"] = "Liste KoS du Royaume: %s",

	["Toggle Menu"] = "Toggle Menu",

	["Accept"] = "Accepter",
	["Cancel"] = "Annuler",
	["Name"] = "Nom",
	["Name of Player to add"] = "Nom du joueur \195\160 rajouter",

	["%s set to %s"] = "Modifier |cffffff00%s|r \195\160 |cff00ff00%s|r",
	[true] = "|cff00ff00on|r",
	[false] = "|cffff0000off|r",

	["_Reason Unknown_"] = "unknown",
	["_Unknown Entity_"] = UNKNOWN,

	["sync"] = "sync",

	["sort"] = "tri",
	["by name"] = "par nom",
	["by level"] = "par niveau",
	["by reason"] = "par raison",
	["by last seen"] = "par dernier vu",
	["by creator"] = "par auteur",
	["sort by name"] = "tri par nom",
	["sort by level"] = "tri par niveau",
	["sort by reason"] = "tri par raison",
	["sort by last seen"] = "tri par dernier vu",
	["sort by creator"] = "tri par auteur",
	
	["Adds a KoS-Target"] = "Ajouter une KoS-Target (cible)",

	["TargetMatchRules"] = 
		{
			{ -- HEALEDOTHEROTHER
				pattern = "(.+) de (.+) gurit (.+) de (.+) points de vie.",
				patternname = 1
			},
			{ -- HEALEDCRITDOTHEROTHER
				pattern = "Le (.+) de (.+) soigne avec un effet critique (.+),pour (.+) points de vie.",
				patternname = 1
			},
			{ -- SPELLDEFLECTEDOTHEROTHER
				pattern = "(.+) dvie (.+) de (.+).",
				patternname = 2
			},
			{ -- SPELLPARRIEDOTHEROTHER
				pattern = "(.+) pare (.+) de (.+).",
				patternname = 2
			},
			{ -- SPELLDODGEDOTHEROTHER
				pattern = "(.+) esquive (.+) de (.+).",
				patternname = 2
			},
			{ -- SPELLPOWERDRAINOTHEROTHER
				pattern = "Le (.+) de (.+) draine (.+)  (.+)  (.+).",
				patternname = 1
			},
			{ -- SPELLLOGCRITOTHEROTHER
				pattern = "(.+) lance (.+) et inflige un coup critique  (.+) ((.+) points de dgts).",
				patternname = 0
			},
			{ -- COMBATHITOTHEROTHER
				pattern = "(.+) touche (.+) et inflige (.+) points de dgts.",
				patternname = 0
			},
			{ -- SPELLCASTGOOTHER
				pattern = "(.+) lance (.+).",
				patternname = 0
			},
			{ -- SPELLCASTGOOTHERTARGETTED
				pattern = "(.+) lance (.+) sur (.+).",
				patternname = 0
			},
			{ -- COMBATHITOTHEROTHER
				pattern = "(.+) touche (.+) et inflige (.+) points de dgts.",
				patternname = 0
			},
			{ -- AURAADDEDOTHERHARMFUL
				pattern = "(.+) subit les effets |2 (.+).",
				patternname = 0
			},
			{ -- AURAADDEDOTHERHELPFUL
				pattern = "(.+) gagne (.+).",
				patternname = 0
			},
			{ -- SPELLPERFORMGOOTHER
				pattern = "(.+) excute (.+).",
				patternname = 0
			},
			{ -- MISSEDOTHEROTHER
				pattern = "(.+) manque (.+).",
				patternname = 0
			},
			{
				pattern = "(.+) de (.+) inflige  (.+) (.+) points de dgts |2 (.+).",
				patternname = 2
			},
			{
				pattern =  "Votre (.+) inflige (.+) points de dgts |2 (.+)  (.+).",
				patternname = 3
	
			}, --PERIODICAURAHEALOTHEROTHER = 
			{
				pattern = "(.+) de (.+) rend (.+) points de vie  (.+).",
				patternname = 3
			},
			{ -- PERIODICAURAHEALSELFOTHER = 
				pattern = "Votre (.+) rend (.+) points de vie  (.+).",
				patternname = 2
			},
			{ -- SPELLPERFORMOTHERSTART
				pattern = "(.+) commence  excuter (.+).",
				patternname = 0
			},
			{ -- SPELLCASTOTHERSTART
				pattern = "(.+) commence  lancer (.+).",
				patternname = 0
			},
			{ -- VSDODGEOTHEROTHER
				pattern = "(.+) attaque et (.+) esquive.",
				patternname = 0
			},
			{ -- VSABSORBOTHEROTHER
				pattern = "(.+) attaque. (.+) absorbe tous les dgts.";
				patternname = 0
			},
			{ -- VSBLOCKOTHEROTHER
				pattern = "(.+) attaque et (.+) bloque l'attaque.",
				patternname = 0
			},
			{ -- VSDEFLECTOTHEROTHER
				pattern = "(.+) attaque, mais (.+) dvie le coup.",
				patternname = 0
			},
			{ -- VSENVIRONMENTALDAMAGE_FALLING_OTHER
				pattern = "(.+) tombe et perd (.+) PV.",
				patternname = 0
			}
		}
} end);