﻿--[[----------------------------------------------------------------------
		VanasKoS - Locale enUS
------------------------------------------------------------------------]]

local L = AceLibrary("AceLocale-2.2"):new("VanasKoS");

L:RegisterTranslations("enUS", function() return {
	["Vanas KoS"] = true,
	["Add KoS Player"] = true,
	["Add Entry"] = true,
	["Remove Entry"] = true,
	["Change Entry"] = true,
	["Reason"] = true,
	["Players:"] = true,
	["Guilds:"] = true,
	["Lists"] = true,
	
	["Entry %s (Reason: %s) added."] = true,
	["Entry \"%s\" removed from list"] = true,
	["KoS List for Realm \"%s\" now purged."] = true,

	["Adds a KoS-Target"] = true,
	
	["Lists"] = true,
	
	-- about
	["About"] = true,
	
	--config frame
	["Configuration"] = true,
	
	["KoS List for Realm: %s"] = true,

	["Toggle Menu"] = true,

	["Accept"] = true,
	["Cancel"] = true,
	["Name"] = true,
	["Name of Player to add"] = true,
	
	["%s set to %s"] = "|cffffff00%s|r set to |cff00ff00%s|r",
	[true] = "|cff00ff00on|r",
	[false] = "|cffff0000off|r",
	
	["_Reason Unknown_"] = "unknown",
    ["_Unknown Entity_"] = UNKNOWN,

	["sync"] = true,
	
	["sort"] = true,
	["by name"] = true,
	["by level"] = true,
	["by reason"] = true,
	["by last seen"] = true,
	["by creator"] = true,
	["sort by name"] = true,
	["sort by level"] = true,
	["sort by reason"] = true,
	["sort by last seen"] = true,
	["sort by creator"] = true,
	
	["TargetMatchRules"] = 
		{
			{ -- HEALEDOTHEROTHER
				pattern = "(.+) 's (.+) heals (.+) for (%d+).",
				patternname = 0
			},
			{ -- HEALECRITDOTHEROTHER
				pattern = "(.+) 's (.+) critically heals (.+) for (%d+).",
				patternname = 0
			},
			{ -- SPELLDEFLECTEDOTHEROTHER
				pattern = "(.+) 's (.+) was deflected by (.+)",
				patternname = 0
			},
			{ -- SPELLPARRIEDOTHEROTHER
				pattern = "(.+) 's (.+) was parried by (.+)",
				patternname = 0
			},
			{ -- SPELLDODGEDOTHEROTHER
				pattern = "(.+) 's (.+) was dodged by (.+)",
				patternname = 0
			},
			{ -- SPELLPOWERDRAINOTHEROTHER
				pattern = "(.+) 's (.+) drains (%d+) (.+) from (.+)",
				patternname = 0
			},
			{ -- SPELLLOGCRITOTHEROTHER
				pattern = "(.+) 's (.+) crits (.+) for (%d+).",
				patternname = 0
			},
			{ -- COMBATHITOTHEROTHER
				pattern = "(.+) 's (.+) hits (.+) for (%d+).",
				patternname = 0
			},
			{ -- SPELLCASTGOOTHER
				pattern = "(.+) casts (.+)",
				patternname = 0
			},
			{ -- SPELLCASTGOOTHERTARGETTED
				pattern = "(.+) casts (.+) on (.+)",
				patternname = 0
			},
			{ -- COMBATHITOTHEROTHER
				pattern = "(.+) hits (.+) for (%d+).",
				patternname = 0
			},
			{ -- AURAADDEDOTHERHARMFUL
				pattern = "(.+) is afflicted by (.+)",
				patternname = 0
			},
			{ -- AURAADDEDOTHERHELPFUL
				pattern = "(.+) gains (.+)",
				patternname = 0
			},
			{ -- SPELLPERFORMGOOTHER
				pattern = "(.+) performs (.+)",
				patternname = 0
			},
			{ -- MISSEDOTHEROTHER
				pattern = "(.+) misses (.+)",
				patternname = 0
			},
			 --[[ PERIODICAURADAMAGEOTHEROTHER = "%s suffers %d %s damage from %s's %s.";
						PERIODICAURADAMAGESELFOTHER = "%s suffers %d %s damage from your %s.";
						PERIODICAURAHEALOTHEROTHER = "%s gains %d health from %s's %s.";
						PERIODICAURAHEALSELFOTHER = "%s gains %d health from your %s.";
						 ]]
			{
				pattern = "(.+) suffers",
				patternname = 0
			},
			{ -- SPELLPERFORMOTHERSTART
				pattern = "(.+) begins to perform (.+)",
				patternname = 0
			},
			{ -- SPELLCASTOTHERSTART
				pattern = "(.+) begins to cast (.+)",
				patternname = 0
			},
			{ -- VSDODGEOTHEROTHER
				pattern = "(.+) attacks. (.+) dodges",
				patternname = 0
			},
			{ -- VSABSORBOTHEROTHER
				pattern = "(.+) attacks. (.+) absorbs",
				patternname = 0
			},
			{ -- VSBLOCKOTHEROTHER
				pattern = "(.+) attacks. (.+) blocks",
				patternname = 0
			},
			{ -- VSDEFLECTOTHEROTHER
				pattern = "(.+) attacks. (.+) deflects",
				patternname = 0
			},
			{ -- VSENVIRONMENTALDAMAGE_FALLING_OTHER
				pattern = "(.+) falls and loses (%d+) health.",
				patternname = 0
			}
		}
} end);
