﻿--[[----------------------------------------------------------------------
		VanasKoS - Locale koKR
------------------------------------------------------------------------]]

local L = AceLibrary("AceLocale-2.2"):new("VanasKoS");

L:RegisterTranslations("koKR", function() return {
	["Vanas KoS"] = "Vanas KoS",
	["Add KoS Player"] = "KoS 플레이어 추가",
	["Add Entry"] = "플레이어 추가",
	["Remove Entry"] = "삭제",
	["Change Entry"] = "변경",
	["Reason"] = "이유",
	["Players:"] = "플레이어:",
	["Guilds:"] = "길드:",
	["Lists"] = "목록",
	
	["Entry %s (Reason: %s) added."] = "%s 플레이어가 추가되었습니다.(이유: %s)",
	["Entry \"%s\" removed from list"] = "\"%s\" 목록에서 제거되었습니다.",
	["KoS List for Realm \"%s\" now purged."] = "서버 \"%s\"의 KoS 목록을 삭제하였습니다.",

	["Adds a KoS-Target"] = "KoS-대상 추가",
	
	
	["Lists"] = "목록",
	
	-- about
	["About"] = "정보",
	
	--config frame
	["Configuration"] = "환경 설정",

	["KoS List for Realm: %s"] = "서버에 대한 KoS 목록: %s",

	["Toggle Menu"] = "메뉴 열기/닫기",

	["Accept"] = "확인",
	["Cancel"] = "취소",
	["Name"] = "이름",
	["Name of Player to add"] = "추가 할 플레이어명",
	
	["%s set to %s"] = "|cffffff00%s|r - |cff00ff00%s|r로 설정",
	[true] = "|cff00ff00켬|r",
	[false] = "|cffff0000끔|r",
	
	["_Reason Unknown_"] = "아무 이유 없음",
	["_Unknown Entity_"] = "알 수 없음",

	["sync"] = "동기화",
	
	["sort"] = "정렬",
	["by name"] = "이름순",
	["by level"] = "레벨순",
	["by reason"] = "이유순",
	["by last seen"] = "최종 발견순",
	["by creator"] = "제작자순",
	["sort by name"] = "이름으로 정렬",
	["sort by level"] = "레벨로 정렬",
	["sort by reason"] = "이유로 정렬",
	["sort by last seen"] = "최종 발견으로 정렬",
	["sort by creator"] = "제작자순으로 정렬",
	
	["TargetMatchRules"] = 
		{
			{ -- HEALEDOTHEROTHER
				pattern = "^(.-)의 (.+)|1으로;로; (.+)의 생명력이 (%d+)만큼 회복되었습니다.",
				patternname = 0
			},
			{ -- HEALEDCRITOTHEROTHER
				pattern = "^(.-)의 (.+)|1이;가; 극대화 효과를 발휘하여 (.+)의 생명력이 (%d+)만큼 회복되었습니다.",
				patternname = 0
			},
			{ -- SPELLDEFLECTEDOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1으로;로; (.+)|1을;를; 공격했지만 빗맞았습니다.",
				patternname = 0
			},
			{ -- SPELLPARRIEDOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1으로;로; (.+)|1을;를; 공격했지만 막았습니다.",
				patternname = 0
			},
			{ -- SPELLDODGEDOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1으로;로; (.+)|1을;를; 공격했지만 교묘히 피했습니다.",
				patternname = 0
			},
			{ -- SPELLPOWERDRAINOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1으로;로; (.+)의 (.+)|1을;를; (%d+)만큼 소진시켰습니다.", -- "(.+)'s (.+) drains (%d+) (.+) from (.+)",
				patternname = 0
			},
			{ -- SPELLLOGCRITOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1으로;로; (.+)에게 (%d+)의 치명상 피해를 입혔습니다.",
				patternname = 0
			},
			{ -- COMBATHITOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1을;를; 공격하여 (%d+)의 피해를 입혔습니다.",
				patternname = 0
			},
			{ -- SPELLCASTGOOTHER
				pattern = "(.+)|1이;가; (.+)|1을;를; 시전합니다.",
				patternname = 0
			},
			{ -- SPELLCASTGOOTHERTARGETTED
				pattern = "(.+)|1이;가; (.+)에게 (.+)|1을;를; 시전합니다.";
				patternname = 0
			},
			{ -- COMBATHITOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1을;를; 공격하여 (%d+)의 피해를 입혔습니다.",
				patternname = 0
			},
			{ -- AURAADDEDOTHERHARMFUL
				pattern = "(.+)|1이;가; (.+)에 걸렸습니다.",
				patternname = 0
			},
			{ -- AURAADDEDOTHERHELPFUL
				pattern = "(.+)|1이;가; (.+) 효과를 얻었습니다.",
				patternname = 0
			},
			{ -- SPELLPERFORMGOOTHER
				pattern = "(.+)|1이;가; (.+)|1을;를; 사용했습니다.",
				patternname = 0
			},
			{ -- MISSEDOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1을;를; 공격했지만 적중하지 않았습니다.",
				patternname = 0
			},
			 --[[ PERIODICAURADAMAGEOTHEROTHER = "%s suffers %d %s damage from %s's %s.";
						PERIODICAURADAMAGESELFOTHER = "%s suffers %d %s damage from your %s.";
						PERIODICAURAHEALOTHEROTHER = "%s gains %d health from %s's %s.";
						PERIODICAURAHEALSELFOTHER = "%s gains %d health from your %s.";
						 ]]
			{
				pattern = "(.+) suffers",
				patternname = 0
			},
			{ -- SPELLPERFORMOTHERSTART
				pattern = "(.+)|1이;가; (.+) 사용을 시작합니다.",
				patternname = 0
			},
			{ -- SPELLCASTOTHERSTART
				pattern = "(.+)|1이;가; (.+) 시전을 시작합니다.",
				patternname = 0
			},
			{ -- VSDODGEOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1을;를; 공격했지만 교묘히 피했습니다.",
				patternname = 0
			},
			{ -- VSABSORBOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1을;를; 공격했지만 모든 피해를 흡수했습니다.",
				patternname = 0
			},
			{ -- VSBLOCKOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1을;를; 공격했지만 방어했습니다.",
				patternname = 0
			},
			{ -- VSDEFLECTOTHEROTHER
				pattern = "(.+)|1이;가; (.+)|1을;를; 공격했지만 빗맞았습니다.",
				patternname = 0
			},
			{ -- VSENVIRONMENTALDAMAGE_FALLING_OTHER
				pattern = "(.+)|1이;가; 낙하할 때의 충격으로 (%d+)의 피해를 입었습니다.",
				patternname = 0
			}
		}
} end);
